%global pypi_name metrics-utility
%global pkg_name aap-metrics-utility
%global module_name metrics_utility
%global commitId 11ebf8a183be946494b01d40211901f043c798c3

%global common_description %{expand:
The AAP metrics utility tool is a standalone CLI utility called metrics-utility which is intended to be installed to the system containing instance of the Automation Controller.
It's an alternative command line tool for the Controller's CLI awx-manage}
%global common_summary %{expand: Standalone utility for https://github.com/ansible/awx/}

%global __requires_exclude ^/var/lib/awx/venv/awx/bin/python3$

%global __python3  /var/lib/awx/venv/awx/bin/python3
%global awx__bindir /var/lib/awx/venv/awx/bin


Name:           %{pkg_name}
Version:        0.0.1
Release:        2%{?dist}
Summary:        %{common_summary}

License:        Apache-2.0
URL:            https://github.com/ansible/metrics-utility.git
Source0:        aap-metrics-utility-11ebf8a183be946494b01d40211901f043c798c3.tar.gz
BuildArch:      noarch

BuildRequires:  automation-controller-venv-tower >= 4.3
BuildRequires:  automation-controller-venv-tower < 4.6
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools >= 45
BuildRequires:  python%{python3_pkgversion}-setuptools_scm >= 6.0
BuildRequires:  python%{python3_pkgversion}-wheel

Requires:       automation-controller-venv-tower >= 4.3
Requires:       automation-controller-venv-tower < 4.6

%description
%{common_description}

%prep
%autosetup -n %{pkg_name}-%{commitId}

%build
# Taken from pyproject-rpm-macros's 'pyproject_wheel'
%{__python3} -m pip wheel --wheel-dir %{_builddir}/wheeldir --no-deps --use-pep517 --no-build-isolation --disable-pip-version-check --no-clean --progress-bar off --verbose .

%install
# Taken from pyproject-rpm-macros's 'pyproject_install'
%{__python3} -m pip install --root %{buildroot} --no-deps --disable-pip-version-check --progress-bar off --verbose --ignore-installed --no-warn-script-location --no-index --no-cache-dir --find-links %{_builddir}/wheeldir %{pypi_name}==%{version}
sed -i 's/pip/rpm/' %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/INSTALLER
rm -fv %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/{RECORD,REQUESTED}

mkdir -p %{buildroot}%{_bindir}
mv %{buildroot}%{awx__bindir}/%{pypi_name} %{buildroot}%{_bindir}/%{pypi_name}

%files
%doc CHANGELOG.md README.md
%license LICENSE.md
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{module_name}-%{version}.dist-info
%{_bindir}/%{pypi_name}

%changelog
* Tue Oct 03 2023 Satoe Imaishi <simaishi@redhat.com> 0.0.1-2
- Bump controller version upper constraint to < 4.6

* Wed Jun 28 2023 James Marshall <jamarsha@redhat.com> 0.0.1-1
- Initial release
